# ``twisted`.`trial`.`unittest`.`TestDecorator``

class documentation

`class TestDecorator(components.proxyForInterface(itrial.ITestCase, '_originalTest')): (source)`

Known subclasses: `twisted.trial._asyncrunner._ForceGarbageCollectionDecorator`, `twisted.trial._asyncrunner._PyUnitTestCaseAdapter`

Implements interfaces: `twisted.trial.itrial.ITestCase`

View In Hierarchy

Decorator for test cases.

Parameters
_originalTest | The wrapped instance of test.

Method | `__call__` | Run the unit test.
Method | `run` | Run the unit test.

def __call__(self, result): (source)
from `twisted.trial.itrial.ITestCase`
Run the unit test.

Parameters
result | A TestResult object.

def run(self, result): (source)
from `twisted.trial.itrial.ITestCase`
overridden in `twisted.trial._asyncrunner._ForceGarbageCollectionDecorator`
Run the unit test.

Parameters
result | A TestResult object.